<template>
  <div id="login">
    <el-row>
      <el-col :span="24" class="style">
        <el-col :span="24" class="login">
          <el-col :span="24" class="top">
            登录
          </el-col>
          <el-col :span="24" class="form">
            <el-form :model="form" :rules="rules" ref="form" label-width="100px" class="demo-ruleForm">
              <el-form-item prop="phone">
                <span slot="label">手机号</span>
                <el-input v-model="form.phone" placeholder="请输入手机号" maxlength="11"></el-input>
              </el-form-item>
              <el-form-item prop="passwd">
                <span slot="label">密码</span>
                <el-input v-model="form.passwd" placeholder="请输入密码" show-password></el-input>
              </el-form-item>
              <el-col :span="24" style="text-align:center;">
                <el-button type="primary" @click="resetForm('form')">重置</el-button>
                <el-button type="success" @click="submitForm('form')">登录</el-button>
              </el-col>
            </el-form>
          </el-col>
        </el-col>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import { mapActions, mapState, createNamespacedHelpers } from 'vuex';
const { mapActions: login } = createNamespacedHelpers('login');
export default {
  name: 'login',
  props: {},
  components: {},
  data: () => ({
    form: {},
    rules: {
      phone: [{ required: true, message: '请输入手机号', trigger: 'blur' }],
      passwd: [{ required: true, message: '请输入密码', trigger: 'blur' }],
    },
  }),
  created() {},
  computed: {},
  methods: {
    ...login({ toLogin: 'login' }),
    submitForm(formName) {
      this.$refs[formName].validate(async valid => {
        if (valid) {
          let res = await this.toLogin({ user: this.form });
          if (res.id) {
            this.$router.push('/');
          }
        } else {
          console.log('error submit!!');
          return false;
        }
      });
    },
    resetForm(formName) {
      this.$refs[formName].resetFields();
    },
  },
};
</script>

<style lang="less" scoped>
.style {
  background-image: url('../assets/login.png');
  background-size: 100% 100%;
  background-repeat: no-repeat;
  width: 100%;
  height: 100vh;
  .login {
    position: relative;
    top: 32%;
    left: 43%;
    width: 450px;
    height: 400px;
    background-color: #ffffff5f;
    border-radius: 10px;
    .top {
      text-align: center;
      color: #fff;
      font-size: 40px;
      text-shadow: cornflowerblue 3px 3px 3px;
      font-family: cursive;
      padding: 35px 0;
    }
    .form {
      padding: 25px 50px;
    }
  }
}
/deep/.el-form-item__label {
  font-size: 24px;
  font-family: 楷体;
  color: #fff;
}
/deep/.el-form-item {
  margin-bottom: 30px;
}
</style>
